{ lib, stdenvNoCC, fetchFromGitHub }:

stdenvNoCC.mkDerivation {
  pname = "apple-firmware";
  version = "unstable";

  src = fetchFromGitHub {
    owner = "AdityaGarg8";
    repo = "Apple-Firmware";
    rev = "c3ba2bce7b5b7d08a478763c678d71ddded60403";
    hash = "sha256-p91pyOYKHnJvaBZ7nxrBqFU63UQhMPWhm2GxabfncY4=";
  };

  installPhase = ''
    mkdir -p "$out/lib/firmware/brcm"
    cp -r lib/firmware/brcm/. "$out/lib/firmware/brcm/"
  '';

  meta = with lib; {
    description = "Various apple broadcom drivers, ripped from a runner image";
    homepage = "https://github.com/adityagarg8/apple-firmware";
    # not sure about the licenses on these
    # license = licenses.unfree;
    platforms = platforms.all;
  };
}
